apiVersion: apps/v1
kind: Deployment
metadata:
  name: fake-operator
  namespace: redhat-ods-operator
spec:
  progressDeadlineSeconds: 1800
  replicas: 1
  revisionHistoryLimit: 1
  selector:
    matchLabels:
      name: fake-operator
  strategy:
    rollingUpdate:
      maxSurge: 25%
      maxUnavailable: 25%
    type: RollingUpdate
  template:
    metadata:
      labels:
        name: fake-operator
    spec:
      containers:
      - command:
        - opendatahub-operator
        env:
        - name: WATCH_NAMESPACE
          valueFrom:
            fieldRef:
              apiVersion: v1
              fieldPath: metadata.annotations['olm.targetNamespaces']
        - name: POD_NAME
          valueFrom:
            fieldRef:
              apiVersion: v1
              fieldPath: metadata.name
        - name: OPERATOR_NAME
          value: fake-operator
        - name: OPERATOR_CONDITION_NAME
          value: rhods-operator.1.1.1-41
        image: quay.io/modh/odh-operator-container:v1.1.1-41
        imagePullPolicy: Always
        name: fake-operator
        resources:
          limits:
            cpu: 100m
            memory: 1Gi
          requests:
            cpu: 50m
            memory: 500Mi
        terminationMessagePath: /dev/termination-log
        terminationMessagePolicy: File
      dnsPolicy: ClusterFirst
      imagePullSecrets:
      - name: addon-managed-odh-pullsecret
      initContainers:
      - command:
        - ./deploy.sh
        image: quay.io/modh/odh-deployer-container:rhods-1.0-rhel-8-containers-candidate-33175-20211012153217
        imagePullPolicy: Always
        name: rhods-deployer
        resources:
          limits:
            cpu: 200m
            memory: 1Gi
          requests:
            cpu: 100m
            memory: 500Mi
        terminationMessagePath: /dev/termination-log
        terminationMessagePolicy: File
      restartPolicy: Always
      schedulerName: default-scheduler
      securityContext: {}
      serviceAccount: rhods-operator
      serviceAccountName: rhods-operator
      terminationGracePeriodSeconds: 30
